Get AWS OU Details

POST/connectors/v1.0/aws/org/ouList

Retrieve AWS Organization Unit (OU) details with pagination support for the specified AWS Organization connector context.

Input ParametersInput Parameters

Parameter Mandatory / Required Data Type Description
connectorName Mandatory String Name of the AWS Organization connector configuration context. Example: test aws org
offset Optional Integer Zero-based index from which to start returning results. Example: 0
limit Optional Integer Maximum number of records to return in the response. Example: 100
rootId Mandatory String AWS Organizations root identifier to scope the OU listing. Example: r-zar5

Sample - Get AWS OU DetailsSample - Get AWS OU Details

API Request


POST /connectors/v1.0/aws/org/ouList
{
  "connectorName": "test aws org",
  "offset": 0,
  "limit": 100,
  "rootId": "r-zar5"
}
  

API Response


{
    "currentPage": 0,
    "currentPageSize": 100,
    "totalPages": 1,
    "numberOfElements": 58,
    "content": [
        {
            "id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "ouId": "r-zar5",
            "ouName": "Root",
            "ouPath": "",
            "rootId": "r-zar5",
            "customerId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "userId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
        },
        {
            "id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "ouId": "ou-zar5-re8jdcs3",
            "ouName": "100 accounts",
            "ouPath": "/Root",
            "rootId": "r-zar5",
            "customerId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "userId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
        },
        {
            "id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "ouId": "ou-zar5-b31d4jbv",
            "ouName": "AMI Scanning",
            "ouPath": "/Root",
            "rootId": "r-zar5",
            "customerId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "userId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
        },
        {
            "id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "ouId": "ou-zar5-qspjmx6d",
            "ouName": "Arsh Event Bridge",
            "ouPath": "/Root",
            "rootId": "r-zar5",
            "customerId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "userId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
        },
        {
            "id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "ouId": "ou-zar5-1g9evo7x",
            "ouName": "Arsh automation snapshot accounts",
            "ouPath": "/Root",
            "rootId": "r-zar5",
            "customerId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "userId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
        },
        {
            "id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "ouId": "ou-zar5-1eeviqmc",
            "ouName": "Empty",
            "ouPath": "/Root",
            "rootId": "r-zar5",
            "customerId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "userId": "3xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
        },
        {
            "id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "ouId": "ou-zar5-bd8tnivz",
            "ouName": "JITESH_ORG",
            "ouPath": "/Root",
            "rootId": "r-zar5",
            "customerId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "userId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
        },
        {
            "id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "ouId": "ou-zar5-12hpzogk",
            "ouName": "Namrata",
            "ouPath": "/Root",
            "rootId": "r-zar5",
            "customerId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "userId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
        },
        {
            "id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "ouId": "ou-zar5-1byq8b50",
            "ouName": "ORG_Automation",
            "ouPath": "/Root",
            "rootId": "r-zar5",
            "customerId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "userId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
        },
        {
            "id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "ouId": "ou-zar5-eadyu4f2",
            "ouName": "Performance",
            "ouPath": "/Root",
            "rootId": "r-zar5",
            "customerId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "userId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
        },
        {
            "id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "ouId": "ou-zar5-hs4xjnyr",
            "ouName": "ProductManagement",
            "ouPath": "/Root",
            "rootId": "r-zar5",
            "customerId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "userId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
        },
        
        {
            "id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "ouId": "ou-zar5-zz2n9ejc",
            "ouName": "qflow perf",
            "ouPath": "/Root",
            "rootId": "r-zar5",
            "customerId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
            "userId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
        },
        
    ],
    "hasContent": true,
    "hasNext": false,
    "hasPrevious": false,
    "first": true,
    "last": true
}